POST /api/v1/users — Create User
Create a new user account within the tenant. The created user can be assigned permissions and can participate in signing workflows.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- FirstNameAr (string, optional)
- The first name of the User in Arabic.
- FirstNameEn (string, optional)
- The first name of the User in English.
- MiddleNameAr (string, optional)
- The Middle name of the User in Arabic.
- MiddleNameEn (string, optional)
- The Middle name of the User in English.
- ThirdNameAr (string, optional)
- The Third name of the User in Arabic.
- ThirdNameEn (string, optional)
- The Third name of the User in English.
- LastNameAr (string, optional)
- The Last name of the User in Arabic.
- LastNameEn (string, optional)
- The Last name of the User in English.
- IsActive (string, optional)
- User Active
- Permissions (array, optional)
- Permissions For The User
{
"FirstNameAr": "Hussein Test",
"FirstNameEn": "Test Integ",
"MiddleNameAr": "حسين",
"MiddleNameEn": "Name",
"ThirdNameAr": "علي",
"ThirdNameEn": "Nameeee",
"LastNameAr": "العائلة",
"LastNameEn": "Family",
"Email": "f7s88@airsworld.net",
"IsActive": true,
"Permissions": [
1,
2,
3
]
}Responses
HTTP 200 — User created
{
"data": "GUID",
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 409 — User already exists
{
"data": "00000000-0000-0000-0000-000000000000",
"errorCode": 5,
"message": "User Already Exsit",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}